Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class GetHCPartyConsentResponse

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.GetHCPartyConsentResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:22+01:00",
               comments="JAXB RI v2.2.11")
    public class GetHCPartyConsentResponse

extends Object
implements Serializable

Java class for GetHCPartyConsentResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetHCPartyConsentResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
             <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
             <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ConsentHCPartyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetHCPartyConsentResponse()`

Method Summary
`AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
`ConsentHCPartyType` | `getConsent()` Gets the value of the consent property.
`ResponseType` | `getResponse()` Gets the value of the response property.
`void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
`void` | `setConsent(ConsentHCPartyType value)` Sets the value of the consent property.
`void` | `setResponse(ResponseType value)` Sets the value of the response property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetHCPartyConsentResponse

    public GetHCPartyConsentResponse()

Method Detail

### getResponse

    public ResponseType getResponse()

  Gets the value of the response property.

  Returns:
    possible object is `ResponseType`

### setResponse

    public void setResponse(ResponseType value)

  Sets the value of the response property.

  Parameters:
    `value` - allowed object is `ResponseType`

### getAcknowledge

    public AcknowledgeType getAcknowledge()

  Gets the value of the acknowledge property.

  Returns:
    possible object is `AcknowledgeType`

### setAcknowledge

    public void setAcknowledge(AcknowledgeType value)

  Sets the value of the acknowledge property.

  Parameters:
    `value` - allowed object is `AcknowledgeType`

### getConsent

    public ConsentHCPartyType getConsent()

  Gets the value of the consent property.

  Returns:
    possible object is `ConsentHCPartyType`

### setConsent

    public void setConsent(ConsentHCPartyType value)

  Sets the value of the consent property.

  Parameters:
    `value` - allowed object is `ConsentHCPartyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.